package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.FundInfoDO;
import com.simuwang.base.pojo.dto.query.FundInfoPageQuery;
import com.simuwang.base.pojo.dto.query.FundInputPageQuery;
import com.simuwang.base.pojo.vo.FundInformationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * FileName: FundInfomationMapper
 * Author:   chenjianhua
 * Date:     2024/9/6 15:11
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface FundInfoMapper {
    List<Map<String, String>> searchFundInfoByKeyword(FundInputPageQuery fundInputPageQuery);

    List<FundInformationVO> searchFundInfoList(FundInfoPageQuery fundInfoPageQuery);

    List<FundInfoDO> queryFundByNameAndRegisterNumber(@Param("fundName")String fundName, @Param("registerNumber")String registerNumber);

    List<FundInfoDO> queryFundByName(@Param("fundName") String fundName);

    List<FundInfoDO> queryFundByRegisterNumber(@Param("registerNumber") String registerNumber);

    long countFundInfoByKeyword(FundInputPageQuery fundInputPageQuery);

    long countFundInfo(FundInfoPageQuery fundInfoPageQuery);

    String getFundNameByFundId(String fundId);

    String queryFundIdByName(@Param("fundName") String fundName);

    String getCompanyNameByFundId(@Param("fundId") String fundId);
}
